Confirm validation results
curl --request POST \
--url https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"esps": [
"gsuite",
"ms365"
],
"statuses": [
"safe"
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({esps: ['gsuite', 'ms365'], statuses: ['safe']})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({esps: ['gsuite', 'ms365'], statuses: ['safe']})
};
fetch('https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm';
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({esps: ['gsuite', 'ms365'], statuses: ['safe']})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm"
payload = {
"esps": ["gsuite", "ms365"],
"statuses": ["safe"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm"
payload := strings.NewReader("{\n \"esps\": [\n \"gsuite\",\n \"ms365\"\n ],\n \"statuses\": [\n \"safe\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"esps\": [\n \"gsuite\",\n \"ms365\"\n ],\n \"statuses\": [\n \"safe\"\n ]\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.salesforge.ai/public/v2/workspaces/{workspaceID}/sequences/{sequenceID}/contacts/validation/confirm");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"esps\": [\n \"gsuite\",\n \"ms365\"\n ],\n \"statuses\": [\n \"safe\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

{
"data": [
{
"createdAt": "<string>",
"type": "email",
"value": "<string>"
}
],
"message": "<string>"
}sequences
Confirm validation results
Confirm validation results for contacts assigned to a sequence.
POST
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
/
contacts
/
validation
/
confirm
Confirm validation results
Authorizations
Body
application/json
Request body
Request body
Minimum array length:
1Available options:
empty, gmail, gsuite, icloud, outlook, ms365, yandex, yahoo, unknown, mailcom, proofpoint, antispamsoftware Example:
["gsuite", "ms365"]
Minimum array length:
1Available options:
safe, invalid, disabled, disposable, inbox_full, catch_all, role_account, spamtrap, unknown, unvalidated Example:
["safe"]
Response
Validation results confirmed
